Bug 1058009 - (CVE-2017-14224) VUL-0: CVE-2017-14224: ImageMagick: A heap-based buffer overflow in WritePCXImage in coders/pcx.c could lead to denial of service or code execution
(CVE-2017-14224)
VUL-0: CVE-2017-14224: ImageMagick: A heap-based buffer overflow in WritePCXI...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Minor
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/191698/
CVSSv3:RedHat:CVE-2017-14224:3.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-09-11 06:40 UTC by Victor Pereira
Modified: 2018-03-06 23:47 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Victor Pereira 2017-09-11 06:40:41 UTC
CVE-2017-14224

A heap-based buffer overflow in WritePCXImage in coders/pcx.c in ImageMagick
7.0.6-8 Q16 allows remote attackers to cause a denial of service or code
execution via a crafted file.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2017-14224
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-14224
https://github.com/ImageMagick/ImageMagick/issues/733
Comment 1 Petr Gajdos 2018-02-06 16:07:36 UTC
BEFORE

12/ImageMagick

$ valgrind -q convert 4-im2pcx out.pcx
convert: negative or zero image size `4-im2pcx' @ error/dib.c/ReadDIBImage/549.
convert: no images defined `out.pcx' @ error/convert.c/ConvertImageCommand/3149.
$
[no issues observed]

11/ImageMagick

$ valgrind -q convert 4-im2pcx out.pcx
convert: Negative or zero image size `4-im2pcx'.
convert: missing an image filename `out.pcx'.
$
[no issues observed]

11/GraphicsMagick

$ valgrind -q gm convert 4-im2pcx out.pcx
==15640== Invalid write of size 1
==15640==    at 0x8027CC4: WritePCXImage (pcx.c:1079)
==15640==    by 0x4E9F7E3: WriteImage (constitute.c:6540)
==15640==    by 0x4E9FC8B: WriteImages (constitute.c:6658)
==15640==    by 0x4E8D3F3: ConvertImageCommand (command.c:5015)
==15640==    by 0x4E73683: MagickCommand (command.c:7657)
==15640==    by 0x4E737FE: GMCommand (command.c:15277)
==15640==    by 0x76E2585: (below main) (in /lib64/libc-2.9.so)
==15640==  Address 0x8449d69 is 0 bytes after a block of size 65,281 alloc'd
==15640==    at 0x4C256AE: malloc (in /usr/lib64/valgrind/amd64-linux/vgpreload_memcheck.so)
==15640==    by 0x8027C43: WritePCXImage (pcx.c:998)
==15640==    by 0x4E9F7E3: WriteImage (constitute.c:6540)
==15640==    by 0x4E9FC8B: WriteImages (constitute.c:6658)
==15640==    by 0x4E8D3F3: ConvertImageCommand (command.c:5015)
==15640==    by 0x4E73683: MagickCommand (command.c:7657)
==15640==    by 0x4E737FE: GMCommand (command.c:15277)
==15640==    by 0x76E2585: (below main) (in /lib64/libc-2.9.so)
[..]
$
[seems to be vulnerable]

42.3/GraphicsMagick

$ valgrind -q gm convert 4-im2pcx out.pcx
gm convert: Unexpected end-of-file (4-im2pcx).
$
[no issues observed]

PATCH

https://github.com/ImageMagick/ImageMagick/commit/c6409227c430f114b6425337e64b848535b62e0b

*/ImageMagick: checks are needed
*/GraphicsMagick: checks are needed
HG/GraphicsMagick: seem to need checks, will examine

AFTER

12/ImageMagick

$ valgrind -q convert 4-im2pcx out.pcx
convert: negative or zero image size `4-im2pcx' @ error/dib.c/ReadDIBImage/549.
convert: no images defined `out.pcx' @ error/convert.c/ConvertImageCommand/3149.
$
[no change]

11/ImageMagick

$ valgrind -q convert 4-im2pcx out.pcx
convert: Negative or zero image size `4-im2pcx'.
convert: missing an image filename `out.pcx'.
$
[no change]

11/GraphicsMagick

$ valgrind -q gm convert 4-im2pcx out.pcx
gm convert: width or height exceeds limit (out.pcx) [No such file or directory].
$
[behavior improved]

42.3/GraphicsMagick

$ valgrind -q gm convert 4-im2pcx out.pcx
gm convert: Unexpected end-of-file (4-im2pcx).
$
[no change]
Comment 2 Petr Gajdos 2018-02-06 16:15:30 UTC
Will submit for: 12/ImageMagick, 11/ImageMagick, 11/GraphicsMagick and 42.3/GraphicsMagick
Comment 3 Petr Gajdos 2018-02-06 16:44:51 UTC
(In reply to Petr Gajdos from comment #1)
> HG/GraphicsMagick: seem to need checks, will examine

Testcase fails during read of the testcase, I have no proof HG/GraphicsMagick need the patch.
Comment 4 Petr Gajdos 2018-02-09 16:02:05 UTC
I believe all fixed.
Comment 5 Swamp Workflow Management 2018-02-09 16:30:14 UTC
This is an autogenerated message for OBS integration:
This bug (1058009) was mentioned in
https://build.opensuse.org/request/show/574758 42.3 / GraphicsMagick
Comment 8 Swamp Workflow Management 2018-02-12 09:30:18 UTC
This is an autogenerated message for OBS integration:
This bug (1058009) was mentioned in
https://build.opensuse.org/request/show/575511 42.3 / GraphicsMagick
Comment 10 Swamp Workflow Management 2018-02-16 11:15:56 UTC
openSUSE-SU-2018:0460-1: An update that fixes 7 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1047900,1049374,1051411,1058009,1073081,1074307,1076182
CVE References: CVE-2017-11140,CVE-2017-11450,CVE-2017-11722,CVE-2017-14224,CVE-2017-17502,CVE-2017-17912,CVE-2017-18028
Sources used:
openSUSE Leap 42.3 (src):    GraphicsMagick-1.3.25-68.1
Comment 11 Swamp Workflow Management 2018-02-20 14:10:46 UTC
SUSE-SU-2018:0486-1: An update that fixes 24 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042824,1048110,1049374,1049375,1050048,1050617,1050669,1052207,1052248,1052251,1052254,1052472,1052688,1052711,1052747,1052750,1052761,1055069,1055229,1058009,1074119,1076182,1078433
CVE References: CVE-2017-11166,CVE-2017-11448,CVE-2017-11450,CVE-2017-11537,CVE-2017-11637,CVE-2017-11638,CVE-2017-11642,CVE-2017-12418,CVE-2017-12427,CVE-2017-12429,CVE-2017-12432,CVE-2017-12566,CVE-2017-12654,CVE-2017-12664,CVE-2017-12665,CVE-2017-12668,CVE-2017-12674,CVE-2017-13058,CVE-2017-13131,CVE-2017-14224,CVE-2017-17885,CVE-2017-18028,CVE-2017-9407,CVE-2018-6405
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.34.1
SUSE Linux Enterprise Server 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.34.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ImageMagick-6.4.3.6-7.78.34.1
Comment 12 Swamp Workflow Management 2018-02-22 14:10:16 UTC
SUSE-SU-2018:0524-1: An update that fixes 20 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042824,1047900,1049374,1049375,1050617,1050669,1052248,1052251,1052254,1052472,1052688,1055069,1055229,1058009,1072934,1073081,1074307,1076182,1078433
CVE References: CVE-2017-11140,CVE-2017-11448,CVE-2017-11450,CVE-2017-11637,CVE-2017-11638,CVE-2017-11642,CVE-2017-12427,CVE-2017-12429,CVE-2017-12432,CVE-2017-12566,CVE-2017-12668,CVE-2017-13058,CVE-2017-13131,CVE-2017-14224,CVE-2017-17502,CVE-2017-17503,CVE-2017-17912,CVE-2017-18028,CVE-2017-9407,CVE-2018-6405
Sources used:
SUSE Studio Onsite 1.3 (src):    GraphicsMagick-1.2.5-4.78.38.1
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    GraphicsMagick-1.2.5-4.78.38.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    GraphicsMagick-1.2.5-4.78.38.1
Comment 13 Swamp Workflow Management 2018-03-01 20:18:29 UTC
SUSE-SU-2018:0581-1: An update that fixes 35 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042824,1042911,1048110,1048272,1049374,1049375,1050048,1050119,1050122,1050126,1050132,1050617,1052207,1052248,1052251,1052254,1052472,1052688,1052711,1052747,1052750,1052754,1052761,1055069,1055229,1056768,1057163,1058009,1072898,1074119,1074170,1075821,1076182,1078433
CVE References: CVE-2017-11166,CVE-2017-11170,CVE-2017-11448,CVE-2017-11450,CVE-2017-11528,CVE-2017-11530,CVE-2017-11531,CVE-2017-11533,CVE-2017-11537,CVE-2017-11638,CVE-2017-11642,CVE-2017-12418,CVE-2017-12427,CVE-2017-12429,CVE-2017-12432,CVE-2017-12566,CVE-2017-12654,CVE-2017-12663,CVE-2017-12664,CVE-2017-12665,CVE-2017-12668,CVE-2017-12674,CVE-2017-13058,CVE-2017-13131,CVE-2017-14060,CVE-2017-14139,CVE-2017-14224,CVE-2017-17682,CVE-2017-17885,CVE-2017-17934,CVE-2017-18028,CVE-2017-9405,CVE-2017-9407,CVE-2018-5357,CVE-2018-6405
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Server 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    ImageMagick-6.8.8.1-71.42.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-71.42.1
Comment 14 Andreas Stieger 2018-03-06 19:44:21 UTC
Releasing for Leap, showing as done otherwise
Comment 15 Swamp Workflow Management 2018-03-06 23:17:05 UTC
openSUSE-SU-2018:0621-1: An update that fixes 35 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1042824,1042911,1048110,1048272,1049374,1049375,1050048,1050119,1050122,1050126,1050132,1050617,1052207,1052248,1052251,1052254,1052472,1052688,1052711,1052747,1052750,1052754,1052761,1055069,1055229,1056768,1057163,1058009,1072898,1074119,1074170,1075821,1076182,1078433
CVE References: CVE-2017-11166,CVE-2017-11170,CVE-2017-11448,CVE-2017-11450,CVE-2017-11528,CVE-2017-11530,CVE-2017-11531,CVE-2017-11533,CVE-2017-11537,CVE-2017-11638,CVE-2017-11642,CVE-2017-12418,CVE-2017-12427,CVE-2017-12429,CVE-2017-12432,CVE-2017-12566,CVE-2017-12654,CVE-2017-12663,CVE-2017-12664,CVE-2017-12665,CVE-2017-12668,CVE-2017-12674,CVE-2017-13058,CVE-2017-13131,CVE-2017-14060,CVE-2017-14139,CVE-2017-14224,CVE-2017-17682,CVE-2017-17885,CVE-2017-17934,CVE-2017-18028,CVE-2017-9405,CVE-2017-9407,CVE-2018-5357,CVE-2018-6405
Sources used:
openSUSE Leap 42.3 (src):    ImageMagick-6.8.8.1-55.1